import { joinClassnames } from "core/helpers";
import React from "react";
import { Footer } from "./parts/Footer";
import Header from "./parts/Header";
type Props = {
  header?: React.ReactElement;
  children: React.ReactNode;
  footer?: React.ReactElement;
  className?: string;
};

function BaseLayout({ header, footer, children, className }: Props) {
  return (
    <div className={joinClassnames(className, 'flex min-h-screen flex-col justify-between')}>
      <Header />

      <main className="flex-1">{children}</main>

      <Footer />
    </div>
  );
}

export default BaseLayout;
